declare module 'plyr' {
    export interface PlyrOptions {
        controls?: any[]
        settings?: any[]
        speed?: {
            selected?: number
            options?: number[]
        }
        [key: string]: any
    }

    export default class Plyr {
        constructor(target: string | HTMLElement, options?: PlyrOptions)
        destroy(): void
        play(): Promise<void>
        pause(): void
        on(event: string, callback: (...args: any[]) => void): void
        off(event: string, callback: (...args: any[]) => void): void
        source: any
    }
}
